Bug 19840 - Patron note is not displayed on checkin
Summary: Patron note is not displayed on checkin
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 14224 18276
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-19 18:42 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19840: Fix - display patron note on checkin (1.67 KB, patch)
2017-12-19 18:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19840: And avoid XSS... (960 bytes, patch)
2017-12-19 18:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19840: Fix - display patron note on checkin (1.72 KB, patch)
2017-12-21 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19840: And avoid XSS... (1003 bytes, patch)
2017-12-21 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19840: Fix - display patron note on checkin (1.77 KB, patch)
2017-12-21 21:35 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19840: And avoid XSS... (1.03 KB, patch)
2017-12-21 21:35 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-19 18:42:33 UTC
If a patron let a note on the checkout (AllowCheckoutNotes), it is supposed to be displayed when checked in
Comment 1 Jonathan Druart 2017-12-19 18:43:42 UTC
This bug may have been caused by
  commit 6eade474ed3a84a5ba372a26ac27bf9fb4bd2299
    Bug 18276: Remove GetBiblioFromItemNumber - Easy ones
Comment 2 Jonathan Druart 2017-12-19 18:49:34 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2017-12-19 18:49:38 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2017-12-21 15:19:36 UTC
Created attachment 70054 [details] [review]
Bug 19840: Fix - display patron note on checkin

If a patron let a note on the checkout (AllowCheckoutNotes), it is
supposed to be displayed when checked in.

Test plan:
1/ Enable AllowCheckoutNotes
2/ Check an item out
3/ At the opac let a note on the checkout
4/ Check the item in
   => With this patch applied you should see the notes displayed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2017-12-21 15:19:39 UTC
Created attachment 70055 [details] [review]
Bug 19840: And avoid XSS...

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Josef Moravec 2017-12-21 21:35:49 UTC
Created attachment 70088 [details] [review]
Bug 19840: Fix - display patron note on checkin

If a patron let a note on the checkout (AllowCheckoutNotes), it is
supposed to be displayed when checked in.

Test plan:
1/ Enable AllowCheckoutNotes
2/ Check an item out
3/ At the opac let a note on the checkout
4/ Check the item in
   => With this patch applied you should see the notes displayed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2017-12-21 21:35:54 UTC
Created attachment 70089 [details] [review]
Bug 19840: And avoid XSS...

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Jonathan Druart 2017-12-22 16:17:42 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-01-15 16:45:16 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 10 Fridolin SOMERS 2018-01-19 12:52:07 UTC
Bug 18276 is not in 17.05.x but is this bug needed for it anyway ?